org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IgniteSnapshotManager.ClusterSnapshotFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.processors.cache.persistence.snapshot.IgniteSnapshotManager.ClusterSnapshotFuture

All Implemented Interfaces:
  IgniteInternalFuture<Void>

Enclosing class:
  IgniteSnapshotManager

    protected static class IgniteSnapshotManager.ClusterSnapshotFuture
    extends GridFutureAdapter<Void>

### Constructor Summary

Constructors
Constructor and Description
`ClusterSnapshotFuture()` Default constructor.
`ClusterSnapshotFuture(String name, Exception err)`
`ClusterSnapshotFuture(UUID rqId, String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `onDone(@Nullable Void res, @Nullable Throwable err, boolean cancel)`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterSnapshotFuture

    public ClusterSnapshotFuture()

Default constructor.

#### ClusterSnapshotFuture

    public ClusterSnapshotFuture(String name,
                                 Exception err)

Parameters:
  `name` - Snapshot name.
  `err` - Error starting snapshot operation.

#### ClusterSnapshotFuture

    public ClusterSnapshotFuture(UUID rqId,
                                 String name)

Parameters:
  `rqId` - Unique snapshot request id.

### Method Detail

#### onDone

    protected boolean onDone(@Nullable
                             @Nullable Void res,
                             @Nullable
                             @Nullable Throwable err,
                             boolean cancel)

Overrides:
  `onDone` in class `GridFutureAdapter<Void>`
Parameters:
  `res` - Result.
  `err` - Error.
  `cancel` - `True` if future is being cancelled.
Returns:
  `True` if result was set by this call.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021